#include "gobot_rpc.hpp"
#include "protocol_spec.hpp"
#include <string.h>

GobotRPCNumberMap::GobotRPCNumberMap() {
    memset(rpc_number_map, 0xffffffff, 16);
}

GobotRPCNumberMap::~GobotRPCNumberMap() {

}

void GobotRPCNumberMap::set(RpcNum rpc_num, uint32_t id) {
    rpc_number_map[(int)rpc_num] = id;
}

uint32_t GobotRPCNumberMap::get(RpcNum rpc_num) {
    return rpc_number_map[(int)rpc_num];
}